<div class="container-fluid">
  <div class="row justify-content-center">
   <div class="col-md-6 p-0">
     <button class="btn btn-warning text-white boton mt-1" (click)="createCall()">Generar llamado</button>
   </div>
  </div>
  <div class="row  mt-1 d-flex justify-content-end" *ngIf="!screens.llamadoDisplay">

    <div class="col-md-3" *ngIf="screens.display">
        <label for="documentNumber" >Documento instructor</label>
      <p-autoComplete id="documentNumber"   [suggestions]="results" (completeMethod)="searchDocument($event)"></p-autoComplete>
    </div>
    <div class="col-md-3" *ngIf="screens.display">
      <label for="initials">
        Iniciales intructor
      </label>
      <p-autoComplete id="initials"   [suggestions]="results" (completeMethod)="search($event)"></p-autoComplete>
    </div>
    <div class="col-md-3" *ngIf="!screens.display && !screens.show ">
      <label for="document">
        Documento aprendiz
      </label>
      <p-autoComplete id="document"   [suggestions]="results" (completeMethod)="searchDocument($event)"></p-autoComplete>
    </div>

    <div class="col-md-3" *ngIf="screens.show">
      <label for="fichas">
        Codigo ficha
      </label><br>
      <p-autoComplete id="fichas"   [suggestions]="results" (completeMethod)="searchFicha($event)"></p-autoComplete>
    </div>


  </div>
  <div class="row mt-2" >
    <div class="col col-md-3 " *ngIf="screens.selections ">
      <div class="card">
        <div class="card-header bg-info" >
          <p class="text-white card-title" *ngIf="screens.display">Instructores</p>
          <p class="text-white card-title" *ngIf="!screens.display">Aprendiz</p>
        </div>
        <div class="card-body p-2" *ngFor="let instructor of detailUsers">
            <div class="docente m-0 p-0 bg-info d-flex justify-content-between">
              <div class="m-0 p-0 pl-2">
                <p class="text-white card-text m-0">{{instructor.initialsSchedule}}</p>
                <p class="text-white card-text m-0">{{instructor.user.firstName + " " + instructor.user.lastName}}</p>
              </div>
              <button type="button"
                      (click)="saveUser(instructor.user, instructor)"
                      class="btn btn-danger adder mt-1 mr-1">
                <i class="fas fa-plus-circle"></i>
              </button>
            </div>
        </div>

      </div>
    </div>
    <div class="col col-md-3 " *ngIf="!screens.selections && !screens.llamadoDisplay">
      <div class="card">
        <div class="card-header bg-info" >
          <p class="text-white card-title">Fichas</p>
        </div>
        <div class="card-body p-2" *ngFor="let ficha  of fichas">
          <div class="docente m-0 p-0 bg-info d-flex justify-content-between">
            <div class="m-0 p-0 pl-2">
              <p class="text-white card-text m-0">{{ficha.code}}</p>
              <p class="text-white card-text m-0">{{ficha.program.nameProgram}}</p>
            </div>
            <button type="button"
                    (click)="saveFicha(ficha)"
                    class="btn btn-danger adder mt-1 mr-1">
              <i class="fas fa-plus-circle"></i>
            </button>
          </div>
        </div>

      </div>
    </div>
   <div class="col col-md-12 llamado" *ngIf="screens.llamadoDisplay">
         <div class="container">
           <div class="row">
             <p class="h3 text-secondary">Llamado de atencion</p>
           </div>
           <div class="row mt-2 " >
             <div class=" form-group col  col-md-4">
               <label for="name">Nombre del aprendiz</label>
               <div class="form-control" id="name" type="text" readonly>
                 <p>{{called.apprentice.firstName + " " + called.apprentice.lastName}}</p>
               </div>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="documento">Numero documento</label>
               <div class="form-control" type="text" id="documento" readonly>
                 <p>{{usuarios[1].documentNumber}}</p>
               </div>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="correo">Correo misena</label>
               <div class="form-control" type="text" id="correo" readonly>
                 <p>{{called.apprentice.email}}</p>
               </div>
             </div>
           </div>
           <div class="row mt-2 " >
             <div class=" form-group col  col-md-4">
               <label for="phone">Telefono</label>
               <div class="form-control" id="phone" type="text" readonly>
                 <p>{{usuarios[1].phone}}</p>
               </div>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="emailp">Email personal</label>
               <div class="form-control" type="text" id="emailp"  readonly>
                 <p>{{usuarios[1].emailPersonal}}</p>
               </div>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="ficha">Ficha</label>
               <div class="form-control" type="text" id="ficha" readonly>
                 {{called.ficha.code}}
               </div>
             </div>
           </div>
           <div class="row">
             <div class=" form-group col  col-md-6">
               <label for="program">Programa</label>
               <div class="form-control" id="program" type="text" readonly>
                 <p>{{called.ficha.program.nameProgram}}</p>
               </div>
             </div>
             <div class=" form-group col  col-md-6">
               <label for="project">Proyecto</label>
               <div class="form-control" id="project" type="text" readonly>
                 <p>{{called.ficha.program.justification}}</p>
               </div>
             </div>
           </div>
           <div class="row">
             <div class=" form-group col  col-md-4">
               <label for="situation">Descripción de situacion</label>
               <textarea  id="situation" rows="2" class="form-control" style="resize: none"></textarea>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="resume">Resumen de la situacion</label>
               <textarea  id="resume" rows="2" class="form-control" style="resize: none"></textarea>
             </div>
             <div class=" form-group col  col-md-4">
               <label for="impact">Impacto</label>
               <textarea  id="impact" rows="2" class="form-control" style="resize: none"></textarea>
             </div>

           </div>
           <div class="row">
             <div class=" form-group col  col-md-6">
               <label for="efect">Efecto</label>
               <textarea  id="efect" rows="2" class="form-control" style="resize: none"></textarea>
             </div>
             <div class=" form-group col  col-md-6">
               <label for="promise">Compromiso adquirido</label>
               <textarea  id="promise" rows="2" class="form-control" style="resize: none"></textarea>
             </div>
           </div>
         </div>
   </div>
  </div>

</div>


